# FoundationClasses
TKernel
Storage

# Storage_MapOfAsciiString Class Reference

`#include <Storage_MapOfAsciiString.hxx>`

Inheritance diagram for Storage_MapOfAsciiString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Storage_MapOfAsciiString (const Standard_Integer NbBuckets=1)
Standard_EXPORT Storage_MapOfAsciiString & | Assign (const Storage_MapOfAsciiString &Other)
Storage_MapOfAsciiString & | operator= (const Storage_MapOfAsciiString &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Storage_MapOfAsciiString ()
Standard_EXPORT Standard_Boolean | Add (const TCollection_AsciiString &aKey)
Standard_EXPORT Standard_Boolean | Contains (const TCollection_AsciiString &aKey) const
Standard_EXPORT Standard_Boolean | Remove (const TCollection_AsciiString &aKey)

## Private Member Functions

Standard_EXPORT | Storage_MapOfAsciiString (const Storage_MapOfAsciiString &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Storage_MapOfAsciiString::Storage_MapOfAsciiString | ( | const Standard_Integer | NbBuckets = `1` | ) |

Storage_MapOfAsciiString::~Storage_MapOfAsciiString | ( |  | ) | `[inline]`

Standard_EXPORT Storage_MapOfAsciiString::Storage_MapOfAsciiString | ( | const Storage_MapOfAsciiString & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean Storage_MapOfAsciiString::Add | ( | const TCollection_AsciiString & | aKey | ) |

Standard_EXPORT Storage_MapOfAsciiString& Storage_MapOfAsciiString::Assign | ( | const Storage_MapOfAsciiString & | Other | ) |

Standard_EXPORT void Storage_MapOfAsciiString::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean Storage_MapOfAsciiString::Contains | ( | const TCollection_AsciiString & | aKey | ) | const

void Storage_MapOfAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* Storage_MapOfAsciiString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* Storage_MapOfAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

Storage_MapOfAsciiString& Storage_MapOfAsciiString::operator= | ( | const Storage_MapOfAsciiString & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean Storage_MapOfAsciiString::Remove | ( | const TCollection_AsciiString & | aKey | ) |

Standard_EXPORT void Storage_MapOfAsciiString::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- Storage_MapOfAsciiString.hxx